Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.expression.xpath
Class XPathExpression

    java.lang.Object
      org.apache.commons.jelly.expression.ExpressionSupport
          org.apache.commons.jelly.expression.xpath.XPathExpression

All Implemented Interfaces:
  Expression, org.jaxen.VariableContext

    public class XPathExpression

extends ExpressionSupport
implements org.jaxen.VariableContext

An expression which returns an XPath object.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`EMPTY_ITERATOR`

Constructor Summary
`XPathExpression()`
`XPathExpression(java.lang.String text, Expression xpathExpr, TagScript tagScript)`

Method Summary
`protected java.util.Map` | `createUriMap(java.util.Map namespaceContext)` Factory method to create a synchronized Map of non-null and non-blank namespace prefixes to namespace URIs
`java.lang.Object` | `evaluate(JellyContext context)` Evaluates the expression with the given context and returns the result
`java.lang.String` | `getExpressionText()`
`java.lang.Object` | `getVariableValue(java.lang.String namespaceURI, java.lang.String prefix, java.lang.String localName)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`evaluateAsBoolean, evaluateAsIterator, evaluateAsString, evaluateRecurse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathExpression

    public XPathExpression()

### XPathExpression

    public XPathExpression(java.lang.String text,
                           Expression xpathExpr,
                           TagScript tagScript)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getExpressionText

    public java.lang.String getExpressionText()

  Specified by:
    `getExpressionText` in interface `Expression`
  Returns:
    the textual representation of this expression

### evaluate

    public java.lang.Object evaluate(JellyContext context)

  Description copied from interface: `Expression`
  Evaluates the expression with the given context and returns the result

  Specified by:
    `evaluate` in interface `Expression`

### getVariableValue

    public java.lang.Object getVariableValue(java.lang.String namespaceURI,
                                             java.lang.String prefix,
                                             java.lang.String localName)

  Specified by:
    `getVariableValue` in interface `org.jaxen.VariableContext`

### createUriMap

    protected java.util.Map createUriMap(java.util.Map namespaceContext)

  Factory method to create a synchronized Map of non-null and non-blank namespace prefixes to namespace URIs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.